
-- input response

-- Ideally, each game state would have its own input-response definitions
-- You don't want your character running around when you're trying to navigate a menu!
-- One easy way is to have the below functions call the appropriate state functions, ie:
-- function M.left()
--     state.current.left()
-- end


local M = {}

function M.left()
    if player.x > border.x + player.rad + player.speed then player.x = player.x - player.speed end
end

function M.right()
    if player.x < border.x + border.w - player.rad - player.speed then player.x = player.x + player.speed end
end

function M.down()
    if player.y < border.y + border.h - player.rad - player.speed then player.y = player.y + player.speed end
end

function M.up()
    if player.y > border.y + player.rad + player.speed then player.y = player.y - player.speed end
end

return M
